Skip to navigation

Register an agent build

View as Markdown
Registers a new agent build or updates an existing one.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountstringRequired
Account name
namestringRequired
Agent name

Request

This endpoint expects an object.
build_idstringOptional
commit_messagestringOptional
commit_shastringOptional
readmestringOptional
readme_assetsmap from strings to stringsOptional
registrystringOptional
spec_contentstringOptional
visibilitystringOptional
working_tree_dirtyboolean or nullOptional

Response

Created
accountstringOptional
build_idstringOptional
messagestringOptional
namestringOptional
validation_warningslist of objectsOptional

Errors

400
Bad Request Error
426
Upgrade Required Error